float4 vecSkill1;
float4 vecViewPort;
texture TargetMap;

sampler2D smpScreen = sampler_state
{
	Texture = <TargetMap>;
	
	MinFilter	= linear;
	MagFilter	= linear;
	MipFilter	= linear;
	
	AddressU		= Wrap;
	AddressV		= Wrap;
};

float4 Shader(float2 tex : TEXCOORD0) : COLOR
{
	float4 Color = 0.0;
	
	for(int i = -5; i < 5; i++)
	{
		Color += tex2D(smpScreen, tex+(float)i*vecSkill1.xy*vecViewPort.zw);
	}
	
	Color /= 11;
	
	return Color;
}

technique tech_00
{
	pass pass_00
	{
		VertexShader = null;
		PixelShader = compile ps_2_0 Shader();
	}
}
